Bug 18148 - Please clarify if edit-ability inherits across <iframe seamless> and if we should respect iframe.contentDocument.designMode
Please clarify if edit-ability inherits across <iframe seamless> and if we sh...
Status: RESOLVED FIXED
Product: HTML WG
Classification: Unclassified
Component: HTML5 spec
unspecified
Other other
: P3 normal
: ---
Assigned To: Silvia Pfeiffer
HTML WG Bugzilla archive list
http://www.whatwg.org/specs/web-apps/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 17:26 UTC by contributor
Modified: 2012-09-28 05:26 UTC (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description contributor 2012-07-18 17:26:48 UTC
This was was cloned from bug 17015 as part of operation convergence.
Originally filed: 2012-05-09 23:19:00 +0000

================================================================================
 #0   contributor@whatwg.org                          2012-05-09 23:19:50 +0000 
--------------------------------------------------------------------------------
Specification: http://www.whatwg.org/specs/web-apps/current-work/
Multipage: http://www.whatwg.org/C#dom-iframe-seamless
Complete: http://www.whatwg.org/c#dom-iframe-seamless

Comment:
Please clarify if edit-ability inherits across <iframe seamless> and if we
should respect iframe.contentDocument.designMode

Posted from: 173.164.128.209
User agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10_7_3) AppleWebKit/536.9 (KHTML, like Gecko) Chrome/20.0.1115.1 Safari/536.9
================================================================================
 #1   Eric Seidel                                     2012-05-09 23:23:16 +0000 
--------------------------------------------------------------------------------
Currently we do respect iframe.contentDocument.designMode = "on" and do *not* inherit user-modify:
http://css-infos.net/property/-webkit-user-modify

This was discussed in https://bugs.webkit.org/show_bug.cgi?id=85940.
================================================================================
Comment 1 Silvia Pfeiffer 2012-09-28 05:26:56 UTC
EDITOR'S RESPONSE: This is an Editor's Response to your comment. If
you are satisfied with this response, please change the state of
this bug to CLOSED. If you have additional information and would
like the Editor to reconsider, please reopen this bug. If you would
like to escalate the issue to the full HTML Working Group, please
add the TrackerRequest keyword to this bug, and suggest title and
text for the Tracker Issue; or you may create a Tracker Issue
yourself, if you are able to do so. For more details, see this
document:   http://dev.w3.org/html5/decision-policy/decision-policy.html

Status: Accepted
Change Description: applied patch
https://github.com/w3c/html/commit/ce89b31106b627fdd0cea560e6885ecb13cf77a2
Rationale: adopted resolution by WHATWG